cURL
curl -X GET "https://api.fitsociety.io/public/v1/reports/revenue-summary" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/reports/revenue-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/reports/revenue-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"revenueSummary": {
"dateFrom": "string",
"dateTo": "string",
"currency": "EUR",
"totals": {
"invoiceCount": 1,
"totalPrice": 1,
"totalVat": 1,
"paidTotal": 1,
"openTotal": 1,
"chargebackTotal": 1
},
"byStatus": [
{
"status": "active",
"invoiceCount": 1,
"totalPrice": 1,
"totalVat": 1
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Reports
Get revenue summary
Requires revenue_summaries:read. Returns aggregate invoice totals only.
GET
/
public
/
v1
/
reports
/
revenue-summary
cURL
curl -X GET "https://api.fitsociety.io/public/v1/reports/revenue-summary" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/reports/revenue-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/reports/revenue-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"revenueSummary": {
"dateFrom": "string",
"dateTo": "string",
"currency": "EUR",
"totals": {
"invoiceCount": 1,
"totalPrice": 1,
"totalVat": 1,
"paidTotal": 1,
"openTotal": 1,
"chargebackTotal": 1
},
"byStatus": [
{
"status": "active",
"invoiceCount": 1,
"totalPrice": 1,
"totalVat": 1
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.